<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \Model\JobOpening;

class JobsController extends Controller
{ 
    private static function TimestampToDateTime($timestamp) {
      $result = new \DateTime;
      $result->setTimestamp($timestamp);
      return $result;
    }
 
    public function show(Request $request, $id)
    {
        parent::registerView($request, 'nieuws', $id);
        $apiResult = $this->API('vacatures/details/' . $id);
	$jobsItem = new \Model\JobOpening($apiResult->item);
	return view('jobsitem', ['job' => $jobsItem, 'metadata' => $jobsItem->metadata]);
    }

    public function overview(Request $request)
    {
        return $this->listJobs($request, 'overzicht');
    }

    private function listJobs(Request $request, $url, $title = null)
    {
        $page = (int)$request->get('pagina', 1);
        $apiResult = $this->API('vacatures/' . $url . '?pagina=' . (int)max(1, $page));
        $jobs = [];
        foreach($apiResult->jobs as $jobsItem)
        {
            $jobs[] = new \Model\JobOpening($jobsItem);
        }

        return view('jobslist', ['title' => $title, 'jobs' => $jobs]);
        //return view($request->ajax() ? 'partial/jobslist_small' : ($title == null ? 'home' : 'jobslist'), ['title' => $title, 'jobs' => $jobs, 'searchURL' => 'vacatures/zoeken']);
    }
 
    public function bijeenkomst() {
      return view('kennismakingsbijeenkomst', ['a' => 2]);
    }

    public function aanmelden(Request $request) {
      $data = array('email' => $request->input('email'), 'name' => $request->input('name'));
      $message = $request['message'] ? "Hierover schreef je zelf het volgende: " . $request['message'] : '';
/*
      $body = <<<BODY
Beste {$request['name']},

Wat leuk dat je je hebt aangemeld voor de kennismakingsbijeenkomst van NH Gooi. Leuk dat je interesse hebt om mee te bouwen aan de streekomroep van en voor het Gooi.

Op 27 november verwachten wij je tussen 13:45 en 14:00 uur in onze studio. Deze bevindt zich in verenigingsgebouw De Baat aan de IJsselmeerstraat 3b, Huizen. Tijdens de kennismakingsbijeenkomst zullen wij het nodige vertellen over NH Gooi, wat en wie we zoeken en wat er allemaal mogelijk is. Uiteraard horen we ook graag van jou waar jouw interesse naar uit gaat en wat je NH Gooi te bieden hebt. $message

De bijeenkomst duurt tot ca. 17:00 uur. Heb je nog vragen of ben je verhinderd? Laat het ons zo snel mogelijk weten. Mochten wij nog vragen hebben nemen we contact met je op via {$request['email']} of telefonisch op {$request['phone']}.

Graag tot 27 november!
Groet,
Team van NH Gooi

BODY;
*/

      $body = <<<BODY
Beste {$request['name']},

Wat leuk dat je je hebt aangemeld om kennis te maken met NH Gooi! 

We kunnen je van alles aanbieden: van radio en podcasts maken tot techniek en van TV-interview produceren tot marketing en communicatie. $message
Onze geplande kennismakingsbijeenkomst op 27 november kon door de aangescherpte Coronamaatregelen niet doorgaan, maar we nemen binnenkort persoonlijk contact met je op om ons nader voor te stellen en om te kijken waar je bij ons zou passen, via {$request['email']} of telefonisch op {$request['phone']}.

Hartelijke groeten,

Het team van NH Gooi

BODY;
      \Mail::raw($body, function($message) use($data) {
        $message
                ->from('meebouwen@nhgooi.nl', 'meebouwen@nhgooi.nl')
                ->bcc('meebouwen@nhgooi.nl', 'meebouwen@nhgooi.nl')
		->to($data['email'], $data['name'])
		->subject('Aanmelding kennismakingsdag');
      });

      return view('kennismakingsbijeenkomst', ['bevestiging' => $request->input('email')]);
    }
}
